package intrinsic.mx.events;

public class RSLEvent extends intrinsic.flash.events.ProgressEvent {

	/** Accessors */

	/** Variables */
	public String errorText;
	public int rslIndex;
	public int rslTotal;
	public intrinsic.flash.net.URLRequest url;

	/** Constants */
	public static final String RSL_PROGRESS = "rsl_progress";
	public static final String RSL_COMPLETE = "rsl_complete";
	public static final String VERSION = "version";
	public static final String RSL_ERROR = "rsl_error";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public RSLEvent() {
}

public RSLEvent(String arg0) {
}

public RSLEvent(String arg0, boolean arg1) {
}

public RSLEvent(String arg0, boolean arg1, boolean arg2) {
}

public RSLEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public RSLEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4) {
}

public RSLEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, int arg5) {
}

public RSLEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, int arg5, int arg6) {
}

public RSLEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, int arg5, int arg6, intrinsic.flash.net.URLRequest arg7) {
}

public RSLEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, int arg5, int arg6, intrinsic.flash.net.URLRequest arg7, String arg8) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
